## epics-base 7.0.3.1

=== configure/Makefile ===
#*************************************************************************
# Copyright (c) 2002 UChicago Argonne LLC, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution. 
#*************************************************************************

TOP=..

include $(TOP)/configure/CONFIG

# Bootstrap resolution: tools not installed yet
TOOLS = $(TOP)/src/tools

CONFIGS += $(subst ../,,$(wildcard ../CONFIG*))
CONFIGS += $(subst ../,,$(wildcard ../os/CONFIG*))

CONFIGS += $(subst ../,,$(wildcard ../RELEASE*))
CONFIGS += $(subst ../,,$(wildcard ../RULES*))

CFG += CONFIG_LIBCOM_MODULE
CFG += CONFIG_LIBCOM_VERSION

CFG += CONFIG_CA_MODULE
CFG += CONFIG_CA_VERSION

CFG += CONFIG_DATABASE_MODULE
CFG += CONFIG_DATABASE_VERSION

include $(TOP)/configure/RULES

=== test/Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ..
include $(TOP)/configure/CONFIG

DIRS += tools

include $(TOP)/configure/RULES_TOP

=== modules/ca/Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ../..
include $(TOP)/configure/CONFIG

DIRS += src

include $(TOP)/configure/RULES_TOP

=== modules/database/Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ../..
include $(TOP)/configure/CONFIG

DIRS += src

DIRS += test
test_DEPEND_DIRS = src

include $(TOP)/configure/RULES_TOP

=== modules/libcom/Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ../..
include $(TOP)/configure/CONFIG

DIRS += src

DIRS += RTEMS
RTEMS_DEPEND_DIRS = src

DIRS += vxWorks
vxWorks_DEPEND_DIRS = src

DIRS += test
test_DEPEND_DIRS = RTEMS vxWorks

include $(TOP)/configure/RULES_DIRS

=== modules/normativeTypes/Makefile ===
#Makefile at top of application tree
TOP = .
include $(TOP)/configure/CONFIG
DIRS += configure
DIRS += src
src_DEPEND_DIRS = configure
DIRS += test
test_DEPEND_DIRS = src

include $(TOP)/configure/RULES_TOP

=== modules/pvData/Makefile ===
# Makefile for the EPICS V4 pvData module

TOP = .
include $(TOP)/configure/CONFIG

DIRS += configure

DIRS += src
src_DEPEND_DIRS = configure

DIRS += testApp
testApp_DEPEND_DIRS = src

DIRS += examples
examples_DEPEND_DIRS = src

include $(TOP)/configure/RULES_TOP

=== modules/pvaClient/Makefile ===
#Makefile at top of application tree
TOP = .
include $(TOP)/configure/CONFIG
DIRS += configure

DIRS += src
src_DEPEND_DIRS = configure

include $(TOP)/configure/RULES_TOP

=== src/tools/Makefile ===
#*************************************************************************
# Copyright (c) 2012 UChicago Argonne LLC, as Operator of Argonne
#     National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ../..
include $(TOP)/configure/CONFIG

# Bootstrap resolution: tools not installed yet
TOOLS = $(TOP)/src/tools

PERL_MODULES += EPICS/Copy.pm
PERL_MODULES += EPICS/Path.pm
PERL_MODULES += EPICS/Release.pm
PERL_MODULES += EPICS/Readfile.pm
PERL_MODULES += EPICS/Getopts.pm

# This goes into lib/perl, not bin/<host>
PERL_MODULES += EpicsHostArch.pl

PERL_SCRIPTS += assembleSnippets.pl
PERL_SCRIPTS += convertRelease.pl
PERL_SCRIPTS += cvsclean.pl
PERL_SCRIPTS += depclean.pl
PERL_SCRIPTS += dos2unix.pl
PERL_SCRIPTS += epicsProve.pl
PERL_SCRIPTS += expandVars.pl
PERL_SCRIPTS += fullPathName.pl
PERL_SCRIPTS += installEpics.pl
PERL_SCRIPTS += makeMakefile.pl
PERL_SCRIPTS += makeTestfile.pl
PERL_SCRIPTS += mkmf.pl
PERL_SCRIPTS += munch.pl
PERL_SCRIPTS += podToHtml.pl
PERL_SCRIPTS += podRemove.pl
PERL_SCRIPTS += replaceVAR.pl
PERL_SCRIPTS += tap-to-junit-xml.pl
PERL_SCRIPTS += useManifestTool.pl
PERL_SCRIPTS += genVersionHeader.pl

PERL_SCRIPTS += makeRPath.py

HTMLS = style.css
HTMLS += EPICS/Getopts.html
HTMLS += EPICS/Path.html
HTMLS += EPICS/Readfile.html
HTMLS += fullPathName.html
HTMLS += munch.html
HTMLS += podToHtml.html
HTMLS += podRemove.html

include $(TOP)/configure/RULES

=== modules/database/src/Makefile ===
#*************************************************************************
# Copyright (c) 2008 UChicago Argonne LLC, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in the file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ../../..
include $(TOP)/configure/CONFIG

# PDB Tools

DIRS += tools

# PDB Core

DIRS += ioc
ioc_DEPEND_DIRS = tools

# PDB Standard Record Definitions

DIRS += std
std_DEPEND_DIRS = ioc

# Templates

DIRS += template

include $(TOP)/configure/RULES_DIRS

=== modules/database/test/Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ../../..
include $(TOP)/configure/CONFIG

DIRS += ioc/db
DIRS += ioc/dbtemplate

DIRS += std/rec
DIRS += std/link
DIRS += std/filters

DIRS += tools

include $(TOP)/configure/RULES_TOP

=== modules/libcom/RTEMS/Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ../../..
include $(TOP)/configure/CONFIG
include $(TOP)/configure/CONFIG_LIBCOM_VERSION

PERL_SCRIPTS += epicsMakeMemFs.pl

INC += epicsRtemsInitHooks.h
INC += epicsMemFs.h

ifeq ($(RTEMS_QEMU_FIXUPS),YES)
rtems_init_CPPFLAGS += -DQEMU_FIXUPS
endif
rtemsCom_SRCS += rtems_init.c
rtemsCom_SRCS += rtems_config.c
rtemsCom_SRCS += rtems_netconfig.c
rtemsCom_SRCS += rtems_util.c
rtemsCom_SRCS += setBootConfigFromNVRAM.c
rtemsCom_SRCS += epicsRtemsInitHookPre.c
rtemsCom_SRCS += epicsRtemsInitHookPost.c
rtemsCom_SRCS += epicsMemFs.c

ifeq ($(RTEMS_BSP),pc386)
rtemsCom_SRCS += ne2kpci.c
endif

LIBRARY_RTEMS = rtemsCom

# shared library ABI version.
SHRLIB_VERSION = $(EPICS_LIBCOM_MAJOR_VERSION).$(EPICS_LIBCOM_MINOR_VERSION).$(EPICS_LIBCOM_MAINTENANCE_VERSION)

include $(TOP)/configure/RULES

=== debian/changelog ===
epics-base (7.0.3.1-3) unstable; urgency=medium

  * Cleaning all modules/RELEASE.*.local files as 'uname -m' does not necessary
    match the name of the created file.
  * Adjusting local LD_LIBRARY_PATH.
  * Recognizing aarch64 as linux-arm architecture.
  * Describing verbose-install.patch.

 -- Andrius Merkys <merkys@debian.org>  Tue, 25 Jan 2022 05:41:05 -0500

epics-base (7.0.3.1-2) unstable; urgency=medium

  [ Neil Williams ]
  * Add Frédéric Picca as Uploader

  [ Sébastien Delafond ]
  * d/copyright: add more

 -- Sebastien Delafond <seb@debian.org>  Mon, 24 Jan 2022 08:51:29 +0100

epics-base (7.0.3.1-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * d/rules: working tests
  * d/rules: remove debmake template
  * d/copyright: remove debmake template, update URL and contact
  * d/control: descriptions
  * Remove empty d/README.*
  * Remove debian/watch.ex
  * Add myself to Uploaders and debian/ copyright
  * Add d/salsa-ci.yml
  * Add d/gbp.conf

  [ Andrius Merkys ]
  * Initial release (Closes: #985487)

  [ Andreas Tille ]
  * Add watch file

  [ Sébastien Delafond ]
  * d/rules: fix clean target for !x86_64

 -- Sebastien Delafond <seb@debian.org>  Fri, 10 Sep 2021 10:41:56 +0200

=== debian/control ===
Source: epics-base
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
 Sebastien Delafond <seb@debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.1
Section: libs
Homepage: https://epics.anl.gov/index.php
Vcs-Browser: https://salsa.debian.org/science-team/epics-base
Vcs-Git: https://salsa.debian.org/science-team/epics-base.git

Package: libca-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libca4.13.5 (= ${binary:Version}), ${misc:Depends}
Description: EPICS channel access client library (headers)
 This is the EPICS library exposing channel access primitives for
 clients.
 .
 This package contains the header files.

Package: libcom-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcom3.17.6 (= ${binary:Version}), ${misc:Depends}
Description: EPICS common library (headers)
 Common library used by all other EPICS building blocks.
 .
 This package contains the header files.

Package: libca4.13.5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EPICS channel access client library
 This is the EPICS library exposing channel access primitives for
 clients.

Package: libcom3.17.6
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EPICS common library
 Common library used by all other EPICS building blocks.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

REL_LIB_DIR := lib/$(shell perl $(CURDIR)/src/tools/EpicsHostArch.pl)
LIB_DIR = $(CURDIR)/$(REL_LIB_DIR)

export LD_LIBRARY_PATH := $(LIB_DIR):$(LD_LIBRARY_PATH)

%:
	dh $@

override_dh_auto_build:
	make LINKER_USE_RPATH=NO

override_dh_auto_test:
	dh_auto_test -- runtests

override_dh_install:
	dh_install
	dh_install -plibca4.13.5  $(REL_LIB_DIR)/libca.so.*  usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -plibca-dev    $(REL_LIB_DIR)/libca.so    usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -plibcom3.17.6 $(REL_LIB_DIR)/libCom.so.* usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -plibcom-dev   $(REL_LIB_DIR)/libCom.so   usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=4

https://epics.anl.gov/download/base/index.php .*/download/base/base-(\d[.\d]+)\.tar\.gz

## epics-base 7.0.7%2Bdfsg1

=== modules/pva2pva/Makefile ===
# Makefile at top of application tree
TOP = .
include $(TOP)/configure/CONFIG

# Directories to build, any order
DIRS += configure
DIRS += $(wildcard *App)
DIRS += $(wildcard iocBoot)

# pdbApp depends on configure for CONFIG_QSRV_VERSION
pdbApp_DEPEND_DIRS = configure

# iocBoot depends on all *App dirs
iocBoot_DEPEND_DIRS += $(filter %App,$(DIRS))
testApp_DEPEND_DIRS += p2pApp pdbApp

# Add any additional dependency rules here:

include $(TOP)/configure/RULES_TOP

=== modules/pvDatabase/src/copy/Makefile ===

# This is a Makefile fragment, see ../Makefile

SRC_DIRS += $(PVDATABASE_SRC)/copy

LIBSRCS += pvPlugin.cpp
LIBSRCS += pvCopy.cpp
LIBSRCS += pvArrayPlugin.cpp
LIBSRCS += pvDeadbandPlugin.cpp
LIBSRCS += pvTimestampPlugin.cpp

=== modules/database/src/ioc/rsrv/Makefile ===
#*************************************************************************
# Copyright (c) 2011 UChicago Argonne LLC, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

# This is a Makefile fragment, see src/ioc/Makefile.

SRC_DIRS += $(IOCDIR)/rsrv

# These need access to net_convert.h from the CA client
caserverio_INCLUDES = -I$(SRC)/ca/client
camessage_INCLUDES = -I$(SRC)/ca/client

INC += rsrv.h

DBD += rsrv.dbd

dbCore_SRCS += caserverio.c
dbCore_SRCS += caservertask.c
dbCore_SRCS += camsgtask.c
dbCore_SRCS += camessage.c
dbCore_SRCS += cast_server.c
dbCore_SRCS += online_notify.c
dbCore_SRCS += rsrvIocRegister.c

=== modules/ca/src/template/top/caPerlApp/Makefile ===
TOP=..

include $(TOP)/configure/CONFIG
#----------------------------------------
#  ADD MACRO DEFINITIONS AFTER THIS LINE

PERL_SCRIPTS += _APPNAME_ModuleDirs.pm

PERL_SCRIPTS += cainfo.pl
PERL_SCRIPTS += caput.pl
PERL_SCRIPTS += caget.pl
PERL_SCRIPTS += camonitor.pl

include $(TOP)/configure/RULES
#----------------------------------------
#  ADD RULES AFTER THIS LINE
